<div class="row" ng-controller="book.BOOKNewCreateCtrl as createCtrl">
    <div>
        <ul class="step-wrap">
            <li class="step1">
                <p class="step-number"><i>1</i></p>
                <p class="step-tip">我的出行计划</p>
            </li>
            <li class="step2">
                <p class="step-number"><i>2</i></p>
                <p class="step-tip">服务商提供的出行方案</p>
            </li>
            <li class="step3">
                <p class="step-number"><i>3</i></p>
                <p class="step-tip">我的订单</p>
            </li>
            <li class="step4">
                <p class="step-number"><i>4</i></p>
                <p class="step-tip">我的报销</p>
            </li>
        </ul>
        <section class="panel">
            <header class="panel-heading">
                <h4>出行计划</h4>
            </header>
            <div class="panel-body" id="book-create">
                <div class="row no-margin">
                    <form class="form-horizontal bordered-group pb30" name="requireForm" ng-submit="api.previewRequire(require)" novalidate>
                        <div class="row trips-panel-wrap">
                            <div class="trips-panel">
                                <div ng-show="require.trips.length > 0" class="force-inline">
                                    <div class="inline-block-box"  ng-repeat = "trip in require.trips track by $index">
                                        <div class="trips-one-way">
                                            <div class="start-city-box">
                                                <div go-address-add-city-box value="trip.tmpFrom" on-select="api.applyModifyCity(trip)"  city-type="modify"></div>
                                                <div class="book-product-box mt23 hotel-product-box" ng-click="api.applyAddHotel(trip)">
                                                    <div class="ico-product-box hotel-bg mb10 ml20">
                                                        <i class="fa fa-hospital-o"></i>
                                                    </div>
                                                    订酒店
                                                </div>
                                                <i class="icon-city-delete" ng-click="api.removeTrip(trip)">&times;</i>
                                            </div>
                                            <div class="inter-city-panel">
                                                <div class="inter-city-body">
                                                    <div class="trip-switch">
                                                        <span class="trip-switch-title">往返</span>
                                                        <label class="switch switch-md switch-primary">
                                                            <input type="checkbox" checked="" ng-model="trip.switchType" ng-change="api.switchTripType(trip)" />
                                                            <span><i class="handle"></i></span>
                                                        </label>
                                                    </div>
                                                    <div class="form-group no-margin datepicker" ng-class="{'has-error': isSubmitting && requireForm.travelTime{{$index}}.$invalid}" ng-if="trip.type != 'independence'">
                                                        <mark>*</mark>出发日期
                                                        <input class="form-control date-time-input ml15" ng-model="trip.travelTime" datepicker-popup is-open="trip.openTraveTime" min-date="currentTime" max-date = 'trip.arriveTime'  type="text" name="travelTime{{$index}}" ng-click="trip.openTraveTime=true" title="请填写出发日期" required readonly>
                                                    </div>
                                                    <div class="form-group no-margin datepicker" ng-if="trip.type == 'independence'">
                                                        出发日期
                                                        <input class="form-control date-time-input ml15" ng-model="trip.travelTime" datepicker-popup is-open="trip.openTraveTime" min-date="currentTime" max-date = 'trip.arriveTime'  type="text" name="travelTime{{$index}}" ng-click="trip.openTraveTime=true" title="请填写出发日期" readonly>
                                                    </div>
                                                    <img ng-src="./res/line.png" class="w350" ng-if="trip.type == 'independence'">
                                                    <img ng-src="./res/arrow-oneway.png" class="w350" ng-if="trip.type == 'oneWay'">
                                                    <img ng-src="./res/arrow-both.png" class="w350" ng-if="trip.type == 'goAndBack'">
                                                    <div class="form-group no-margin datepicker" ng-class="{'has-error': isSubmitting && requireForm.arriveTime{{$index}}.$invalid}" ng-if="trip.switchType && trip.type != 'independence'">
                                                        <mark>*</mark>返回日期
                                                        <input class="form-control date-time-input ml15" min-date="trip.travelTime" ng-model="trip.arriveTime" datepicker-popup is-open="trip.openArriveTime"  type="text" name="arriveTime{{$index}}" ng-click="trip.openArriveTime=true" title="请填写返回日期" required disable-validation-message="" readonly>
                                                    </div>
                                                    <div class="form-group no-margin datepicker" ng-if="trip.switchType && trip.type == 'independence'">
                                                        返回日期
                                                        <input class="form-control date-time-input ml15" min-date="trip.travelTime" ng-model="trip.arriveTime" datepicker-popup is-open="trip.openArriveTime"  type="text" name="arriveTime" ng-click="trip.openArriveTime=true" title="请填写返回日期" disable-validation-message="" readonly>
                                                    </div>
                                                    <div class="traffic-tools" ng-if="!!trip.to.name">
                                                        <div class="book-product-box mt15" ng-click="api.applyAddAirTicket(trip)">
                                                            <div class="ico-product-box air-ticket-bg mb10 ml20">
                                                                <i class="fa fa-plane"></i>
                                                            </div>
                                                            订机票
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="product-card-panel">
                                                <div class="inline-block-box product-card-box">
                                                    <div class="hotel-card-panel mt20" ng-repeat = "hotel in trip.from.hotels track by $index">
                                                        <div ng-if="hotel.isEdit">
                                                            <div class="card-body-top hotel-bg">
                                                                <div>
                                                                    <i class="fa fa-edit mr5" ng-click="api.modifyProduct(hotel, 'hotel')"></i>
                                                                    <span class="title-ellipsis" title="{{ hotel.destination }}">{{ hotel.destination }}</span>
                                                                    <div class="icon-product-car-delete-panel text-center" ng-click="api.applyRemoveHotel(hotel, trip)">
                                                                        X
                                                                    </div>
                                                                </div>
                                                                <div class="mt20 text-center">
                                                                    <div class="inline-block-box ahead-line">
                                                                    {{ hotel.checkIn | date:"yyyy年"}}    <br/>
                                                                    {{ hotel.checkIn | date:"MM月dd日"}}    
                                                                    </div>
                                                                    <div class="inline-block-box line-panel">
                                                                        <span class="line"></span>
                                                                    </div>
                                                                    <div class="inline-block-box later-line">
                                                                    {{ hotel.checkOut | date:"yyyy年"}}    <br/>
                                                                    {{ hotel.checkOut | date:"MM月dd日"}}    
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="card-body-center hotel-card-center-bg">
                                                                {{ hotel.count }}间&nbsp
                                                                <span>共{{ hotel.dayCount }}晚</span>
                                                            </div>
                                                            <div class="card-body-footer" ng-if="!!hotel.otherDemand || hotel.tagbySlef.length > 0 || hotel.systemTag.length > 0">
                                                                <p>{{ hotel.otherDemand }}</p>
                                                                <p>
                                                                    <span ng-if="hotel.tagbySlef.length > 0 && hotel.systemTag.length > 0">
                                                                        {{ hotel.systemTag | join:'、':'name' }}、
                                                                    </span>
                                                                    <span ng-if="hotel.tagbySlef.length <= 0">
                                                                        {{ hotel.systemTag | join:'、':'name' }}
                                                                    </span>
                                                                    {{ hotel.tagbySlef | join:'、':'name' }}
                                                                </p>
                                                            </div>
                                                            <div class="card-body-footer" ng-if="!!!hotel.otherDemand && hotel.tagbySlef.length <= 0 && hotel.systemTag.length <= 0">
                                                                <p>暂无其它要求</p>
                                                            </div>
                                                        </div>
                                                        <div ng-if="!hotel.isEdit" ng-class="{'never-editor' : !hotel.isEdit}">
                                                            <div class="product-card-default hotel-bg text-center p10">
                                                                <div class="pull-right icon-product-car-delete-panel text-center" ng-click="api.applyRemoveHotel(hotel, trip)">
                                                                    X
                                                                </div>
                                                                <div class="title">
                                                                    <div class="etb-font-title">酒店</div>
                                                                    <div>请点击编辑预订信息</div>
                                                                    <button class="btn btn-default w100 mt15" ng-click="api.modifyProduct(hotel, 'hotel')"  type="button">编辑</button>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="inline-block-box ml15 product-card-box">
                                                    <div ng-class="{'air-ticket-both-panel': trip.switchType &&  trip.from.airTickets.length == 2}">
                                                        <div class="traffic-card-panel mt20"  ng-repeat = "airTicket in trip.from.airTickets track by $index">
                                                            <div ng-if="airTicket.isEdit">
                                                                <div class="card-body-top air-ticket-bg">
                                                                    <div>
                                                                        <i class="fa fa-edit mr5"  ng-click="api.modifyProduct(airTicket, 'plane')"></i>
                                                                        <div class="air-ticket-car-head">
                                                                            <span ng-if="!!airTicket.departAt || !!airTicket.arriveAt">（{{airTicket.departAt || '00:00'}}-{{airTicket.arriveAt || '23:00'}}）起飞</span>
                                                                            <span ng-if="!!!airTicket.departAt && !!!airTicket.arriveAt">起飞时段不限</span>
                                                                        </div>
                                                                        <div ng-if="$index != 1" class="icon-product-car-delete-panel text-center" ng-click="api.applyRemoveTrafficCar(trip , 'airTickets')">
                                                                            X
                                                                        </div>
                                                                    </div>
                                                                    <div class="mt20 text-center">
                                                                        <div class="inline-block-box ahead-line lh42">
                                                                            {{ airTicket.fromName }}
                                                                        </div>
                                                                        <div class="inline-block-box line-panel">
                                                                            <span class="line"></span>
                                                                        </div>
                                                                        <div class="inline-block-box later-line lh42">
                                                                            {{ airTicket.toName }}
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                                <div class="card-body-center air-ticket-card-center-bg ">
                                                                    <span ng-if="airTicket.cabin.value !='不限'">{{ airTicket.cabin.value }}&nbsp</span>
                                                                    <span>{{ require.followersCount || 0 }}成人</span>
                                                                </div>
                                                                <div class="card-body-footer" ng-if="!!airTicket.otherDemand || airTicket.tagbySlef.length > 0 || airTicket.systemTag.length > 0">
                                                                    <p>{{ airTicket.otherDemand }}</p>
                                                                    <p>
                                                                        <span ng-if="airTicket.tagbySlef.length > 0 && airTicket.systemTag.length > 0">
                                                                            {{ airTicket.systemTag | join:'、':'name' }}、
                                                                        </span>
                                                                        <span ng-if="airTicket.tagbySlef.length <= 0">
                                                                            {{ airTicket.systemTag | join:'、':'name' }}
                                                                        </span>
                                                                            {{ airTicket.tagbySlef | join:'、':'name' }}
                                                                    </p>
                                                                </div>
                                                                <div class="card-body-footer" ng-if="!!!airTicket.otherDemand && airTicket.tagbySlef.length <= 0 && airTicket.systemTag.length <= 0">
                                                                    <p>暂无其它要求</p>
                                                                </div>
                                                            </div>
                                                            <div ng-if="!airTicket.isEdit" ng-class="{'never-editor' : !airTicket.isEdit}">
                                                                <div class="product-card-default air-ticket-bg text-center p10">
                                                                    <div ng-if="$index != 1" class="pull-right icon-product-car-delete-panel text-center" ng-click="api.applyRemoveTrafficCar(trip , 'airTickets')">
                                                                        X
                                                                    </div>
                                                                    <div class="title">
                                                                        <div class="etb-font-title"> {{ airTicket.tipTitle }}</div>
                                                                        <div>{{ airTicket.tipContent }}</div>
                                                                        <button class="btn btn-default w100 mt15" ng-click="api.modifyProduct(airTicket, 'plane')" type="button">编辑</button>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="inline-block-box">
                                        <div go-address-add-city-box value="trip.to" on-select="api.addRoute(item)"  city-type="add"></div>
                                    </div>
                                </div>
                                <div ng-show="require.trips.length <= 0">
                                    <div go-address-add-city-box titleName = '出行计划' on-select="api.addRoute(item)" value="require.trips[0].from"  city-type="add"></div>
                                </div>
                                
                            </div>
                            <div ng-show="require.trips.length > 0" class="scroll-left-panel" title="向左滑动" ng-click="api.scrollTheTrips('left')"><i class="fa fa-chevron-left"></i></div>
                            <div ng-show="require.trips.length > 0" class="scroll-right-panel" title="向右滑动" ng-click="api.scrollTheTrips('right')"><i class="fa fa-chevron-right"></i></div>
                            <button ng-show="require.trips.length > 0" class="btn btn-clear btn-info btn-sm" type="button" ng-click="api.applyClearTrips(require)">清空行程</button>
                        </div>
                        <div class="form-group w620">
                            <label class="col-sm-12 control-label etb-text-left ml20">其它要求：（如：租车、会场预订等）</label>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-1" style="width: 104px;"></label>
                            <div class="col-sm-9">
                                <textarea rows="6" class="layout-item form-control" name="description" ng-model="require.description"></textarea>
                            </div>
                        </div>
                        <div class="form-group-book form-group w620">
                            <label class="col-sm-2 control-label">
                               <mark>*</mark>出差人数
                            </label>
                            <div class="col-xs-2">
                                <input type="text"  class="form-control" maxLength = '3' ng-change="api.modifyFollowersNumber()" ng-model="require.followersCount" style="width:60px;display:inline;text-align:center" ng-pattern="/^\d+$/"/>
                                <ul style="list-style-type: none;position: absolute;top: -3px;left: 72px;padding:2px 0;"> <li>
                                    <button type="button" style="line-height: 10px;width:27px;border: 1px solid #e4e4e4;background: white;" ng-click="api.modifyFollowersNumber('add')">+</button>
                                </li>
                                <li style="margin-top:-6px;"><button type="button" style="line-height: 10px;width:27px;border: 1px solid #e4e4e4;background: white;" ng-click="api.modifyFollowersNumber('reduce')">-</button></li>
                                 </ul>
                                
                            </div>
                            <label class="col-sm-2 control-label">行程总预算</label>
                            <div class="col-xs-3">
                                <div class="input-group" ng-class="{'has-error': isSubmitting && requireForm.budget.$invalid}">
                                    <span class="input-group-addon">￥</span>
                                    <input type="text" class="form-control" autocomplete="off" ng-pattern="reg.EXPENSE"  name="budget" ng-model="require.budget" maxLength='9' ng-blur="api.keepInt()" >
                                </div>
                            </div>
                            <div class="col-xs-2">
                                <pretty-checkbox label="'需要发票'" ng-model="require.isNeedInvoice"></pretty-checkbox>
                            </div>
                        </div>
                        <div class="w620">
                            <label class="col-xs-12 control-label etb-text-left ml10">我希望差旅服务商在
                                <a class="btn mr10 ml10" ng-class="{'btn-selected-time' : delineBtn.isSelect, 'btn-default': !delineBtn.isSelect }" ng-repeat = "delineBtn in require.deadlineBts track by $index" ng-click="api.selectDelineBtn(delineBtn)">{{ delineBtn.name }}</a>
                                内提供出行方案给我。
                            </label>
                        </div>
                        <div class="form-group mt30">
                            <div class="row text-center">
                                <button class="btn btn-default" type="button" ng-click="api.saveDraft(require)">保存草稿</button>
                                <button class="btn btn-info ml10" type="submit">提交计划</button>
                            </div>
                        </div>
                        <div class="form-group text-center" ng-if="isSubmitting && requireForm.$invalid">
                            <div class="error-panel mr20 ml20">
                                <span>请核对输入内容</span>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </section>
    </div>
</div>
